%define	name	kickarts
%define	version	0.4
%define	rel	6
%define	release	%mkrel %{rel}

Summary:	KDE Kicker Applet to control Artsd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://ripi.net/software/kickarts/
Group:		Sound
Source:		http://ripi.net/software/kickarts/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase-devel arts-devel zlib-devel XFree86-devel libart_lgpl2-devel
BuildRequires:	audiofile-devel mad-devel jpeg-devel png-devel fam-devel
BuildRequires:	oggvorbis-devel lcms-devel alsa-lib-devel nas-devel

%description
Kickarts is a KDE applet to control the KDE Arts server.

%prep
%setup -q

%build
%configure2_5x	--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/kde3/kickarts_panelapplet.*
%{_datadir}/apps/%{name}
%{_datadir}/apps/kicker/applets/*
%doc AUTHORS README TODO

%changelog
* Tue Jul 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4-6mdk
- rebuild
- drop 'COPYING' & 'INSTALL'
- %%configure2_5x
- %%mkrel


* Thu Jun 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4-5mdk
- rebuild
- fix buildrequires (lib64..)

* Wed Jul 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4-4mdk
- pass a few more options to configure
- rm -rf $RPM_BUILD_ROOT in %%install
- use %%makeinstall_std macro

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4-3mdk
- fixed buildrequires

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4-2mdk
- configure in build stage
- fix buildrequires
- itzibitzi nicer formatting

* Sat Mar  1 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.4-1mdk
- First Mandrake Package
